/*
 * Copyright (C) 2008-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of NAScan
 *
 * NAScan is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * NAScan is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NAScan.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef __NASCAN_CONFIG_H
#define __NASCAN_CONFIG_H


//////////////////////////////////////////////////////////////////////////////


#define OT_SOURCES  0
#define OT_COMPLETE 1


//////////////////////////////////////////////////////////////////////////////


class NascanConfig 
{
public:
  NascanConfig(void);
  bool SetupParse(const char* Name, const char* Value);
  
  int adapter;
  int ignoreNoStream;
  int useNetworkName;
  int outputType;
  
  int tuningTimeout;
  int initialTuningTimeout;
  int sdtTimeout;
  int pmtTimeout;
  int nitTimeout;
};


extern NascanConfig config;


//////////////////////////////////////////////////////////////////////////////


#endif // __NASCAN_CONFIG_H
